Bug Hunting Session
Bug 103972 - GDI: Inconsistent font rendering in menu
Summary: GDI: Inconsistent font rendering in menu
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering HarfBuzz-regressions
  Show dependency treegraph
 
Reported: 2016-11-17 09:47 UTC by Telesto
Modified: 2016-11-18 17:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot Sheet menu (61.99 KB, image/jpeg)
2016-11-17 09:49 UTC, Telesto
Details
norepro Calc Sheet menu default rendering w/HarfBuzz layout (17.20 KB, image/png)
2016-11-18 15:17 UTC, V Stuart Foote
Details
GDI: Insert Writer (12.64 KB, image/png)
2016-11-18 15:33 UTC, Telesto
Details
OpenGL Insert Writer (17.50 KB, image/png)
2016-11-18 15:34 UTC, Telesto
Details
OpenGL Insert Writer (LO 4.4.6.3) (10.79 KB, image/png)
2016-11-18 15:38 UTC, Telesto
Details
With cleartype OpenGL (19.83 KB, image/png)
2016-11-18 17:17 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-11-17 09:47:58 UTC
Description:
Sometimes glyph's get merged somewhat together. In the screenshot 'Insert Page Break' is correctly rendered, but with 'Delete Page Break' the 'a' and 'g' are merged together


Steps to Reproduce:
1. Disable clear type
2. Open menu Sheet in calc

Actual Results:  
Fonts are inconsistently rendered poorly 

Expected Results:
Font are consistently rendered good


Reproducible: Always

User Profile Reset: YES

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2016-11-17 09:49:27 UTC
Created attachment 128807 [details]
Screenshot Sheet menu
Comment 2 Telesto 2016-11-17 10:08:08 UTC
Tested with:
Version: 5.3.0.0.alpha1+
Build ID: b223028d65d24ffcd8e27974c29c2744a5df6227
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-16_22:50:22
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 V Stuart Foote 2016-11-18 15:17:14 UTC
Created attachment 128843 [details]
norepro Calc Sheet menu default rendering w/HarfBuzz layout

Clip of the Calc -> Sheet menu with default rendering using the new layout engine.

Layout seems pretty clear.

On Windows 10 Pro 64-bit (1607) en-US with
Version: 5.3.0.0.alpha1+
Build ID: 43b5ca69aa545cf93eded55258d92d651917815f
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-18_05:27:05
Locale: en-US (en_US); Calc: CL
Comment 4 Telesto 2016-11-18 15:33:29 UTC
Created attachment 128844 [details]
GDI: Insert Writer

With:
Version: 5.3.0.0.alpha1+
Build ID: 43b5ca69aa545cf93eded55258d92d651917815f
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-18_05:27:05
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Telesto 2016-11-18 15:34:03 UTC
Created attachment 128846 [details]
OpenGL Insert Writer

With
Version: 5.3.0.0.alpha1+
Build ID: 43b5ca69aa545cf93eded55258d92d651917815f
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-18_05:27:05
Locale: nl-NL (nl_NL); Calc: CL
Comment 6 Telesto 2016-11-18 15:38:39 UTC
Created attachment 128847 [details]
OpenGL Insert Writer (LO 4.4.6.3)

Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL
Comment 7 Telesto 2016-11-18 15:44:41 UTC
(In reply to V Stuart Foote from comment #3)
> Created attachment 128843 [details]
> norepro Calc Sheet menu default rendering w/HarfBuzz layout
> 
> Clip of the Calc -> Sheet menu with default rendering using the new layout
> engine.
> 
> Layout seems pretty clear.
> 

Your layout is indeed clear, mine isn't.
Comment 8 V Stuart Foote 2016-11-18 15:54:27 UTC
Actually if I go ahead and disable "Clear Type" -- regedit HKEY_CURRENT_USER\Control Panel\Desktop\FontSmoothing -> 0 --I see the same grey scale rendering affect. But how often do users disable ClearType sub-pixel rendering support on Windows?  Defaults (and most users) will have it active, and ALL programs are affected with similar kerning issues with it off.
Comment 9 V Stuart Foote 2016-11-18 16:30:00 UTC
Not sure it is our issue, but adding to the text rendering META.  And I guess there is a HarfBuzz layout component to it as well but I kind of doubt it came in with the new layout engine. And of course it would have to be addressed with the new layout engine in some fashion.
Comment 10 Khaled Hosny 2016-11-18 16:38:42 UTC
(In reply to Telesto from comment #0)
> 1. Disable clear type

Don’t do that. You will get old style hinting which can change glyph advance width, but the layout code does not know about this change.
Comment 11 Telesto 2016-11-18 17:17:17 UTC
Created attachment 128850 [details]
With cleartype OpenGL

Cleartype makes it a lot better, but it's still there. The 'a' from 'Special' in Special character is fused a bit with the 'l' Spacing between 't' and 'n' and 'n' and 'm'
Comment 12 Khaled Hosny 2016-11-18 17:26:24 UTC
(In reply to Telesto from comment #11)
> Created attachment 128850 [details]
> With cleartype OpenGL
> 
> Cleartype makes it a lot better, but it's still there. The 'a' from
> 'Special' in Special character is fused a bit with the 'l' Spacing between
> 't' and 'n' and 'n' and 'm'

Yes, this is what bug 103322 wants to fix.